package com.hotent.portal.persistence.manager;

import com.hotent.base.model.CommonResult;
import com.hotent.portal.model.PortalNewsNotice;

import java.util.List;

import com.hotent.base.manager.BaseManager;

/**
 *  服务类
 *
 * @company 广州宏天软件股份有限公司
 * @author 赵祥云
 * @since 2020-07-03
 */
public interface PortalNewsNoticeManager extends BaseManager<PortalNewsNotice> {

	List<PortalNewsNotice> getNews(String classifyId, String page, String pageSize);

	void deleteByClassifyId(String classifyId);

	void deleteNewsByParentId(String parentId);

    String export(List<String> ids) throws Exception;

	void importFile(String uzPath, String classifyId);

	CommonResult<String> importCheck(String uzPath, String classifyId) throws Exception;
}
